# Generated by Django 4.2.1 on 2023-06-14 13:45

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    replaces = [('dashboard', '0001_initial'), ('dashboard', '0002_alter_task_status'), ('dashboard', '0003_project_task_alter_project_owner_and_more'), ('dashboard', '0004_remove_project_task_task_project'), ('dashboard', '0005_project_status'), ('dashboard', '0006_task_timestamp'), ('dashboard', '0007_task_last_status_change'), ('dashboard', '0008_alter_task_last_status_change'), ('dashboard', '0009_task_time_spent')]

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('description', models.TextField()),
                ('start_date', models.DateField()),
                ('due_date', models.DateField()),
                ('collaborators', models.ManyToManyField(related_name='collaborating_projects', to=settings.AUTH_USER_MODEL)),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='owned_projects', to=settings.AUTH_USER_MODEL)),
                ('status', models.CharField(choices=[('PG', 'Pending'), ('IP', 'In progress'), ('CM', 'Completed'), ('BH', 'Behind')], default='PG', max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='Task',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('description', models.TextField()),
                ('start_date', models.DateTimeField()),
                ('due_date', models.DateTimeField()),
                ('status', models.CharField(choices=[('YS', 'Yet to start'), ('IP', 'In progress'), ('IR', 'In review'), ('FN', 'Finished')], default='YS', max_length=20)),
                ('assigned_to', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='user_tasks', to=settings.AUTH_USER_MODEL)),
                ('project', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='tasks', to='dashboard.project')),
                ('timestamp', models.DateTimeField(auto_now=True)),
                ('last_status_change', models.DateTimeField(editable=False, null=True)),
                ('time_spent', models.DurationField(blank=True, null=True)),
            ],
        ),
    ]
